---
wsId: B21Crypto
title: 'B21 Crypto: Invest | Earn | Spend'
altTitle: 
authors:
- danny
users: 50000
appId: io.b21.invest
appCountry: in
released: 2020-02-24
updated: 2022-01-30
version: 0.8.0
stars: 2.9
ratings: 592
reviews: 290
size: 40M
website: https://b21.io
repository: 
issue: 
icon: io.b21.invest.png
bugbounty: 
meta: ok
verdict: custodial
date: 2021-09-17
signer: 
reviewArchive: 
twitter: B21Official
social:
- https://www.linkedin.com/company/b21-limited
- https://www.facebook.com/B21Official
- https://www.reddit.com/r/B21Invest
redirect_from: 

---

B21's self-description claims that it is an app for investing, earning, and spending crypto:

> B21 Crypto simplifies the entire onboarding and investment process by empowering users to create their own customised portfolio of cryptos without going through multiple “Know Your Customer” (KYC) and wallet set-up hurdles.

It also offers a VISA powered credit card, which they claim provides users an effortless way to spend crypto to make purchases online and at retail stores, and withdraw cash from any ATM globally.

Additionally, B21 includes this in their list of features in the Play Store:

> Custodial Wallet to safely store the digital assets of the user

and:

>  With a fully custodial and regulated model to safeguard user assets, B21 brings the process of creating and managing a multi-asset portfolio at your fingertips.

In the official FAQs, it is clearly stated that keys are on the side of the provider.

> No. We eliminate the complicated process of managing the keys, wallets and provide complete custody of your assets.

[From the website](https://www.b21.io/custodial/), the page "Custodial" reveals that Prime Trust is the custodian of securities and funds.
> Account Holder(“Customer”, “you”, “your”) hereby requests and directs that Prime Trust, LLC (“Prime Trust”, “Custodian”, “we”, “our”, “us”), a Nevada chartered trust company, establish a Prime Asset Custody Account (“Account”) for and in the name of Account Holder, and to hold as custodian all assets deposited to, or collected with respect to such Account[...]

We can conclude that this is a **custodial** wallet, thus **not verifiable.**